#!/usr/bin/make -f

export PYBUILD_NAME=transliterate
export PYTEST_ADDOPTS=--no-cov
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx docs docs/_build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-transliterate -p python-transliterate-doc
	dh_installdocs -p python3-transliterate

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}' --interpreter python3))
	cp runtests.py $(BUILD_DIR)
	cd $(BUILD_DIR); python3 runtests.py
	rm $(BUILD_DIR)/runtests.py
endif
